Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001869Zandronum[All Projects] Suggestionpublic2014-07-03 01:512017-04-23 23:47
ReporterRu5tK1ng 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.2 
Target Version3.0Fixed in Version3.0 
Summary0001869: Cool down time for sv_limitnumvotes
DescriptionBeing able to adjust the time need before a vote can be recalled would be a nice middle ground between no limit and the default 10 min limit. With the ability to change the cool down time will help server admins to fine tune their voting systems according to the severity of vote spam in each of their servers.
Attached Files

- Relationships

-  Notes
User avatar (0015585)
Ru5tK1ng (updater)
2016-09-04 21:45

I decided to take a shot at this. Current voting times can preserved while scaling down (or up) with sv_limitnumvotes.

https://bitbucket.org/Ru5tK1ng/zandronum/commits/715211916403881a48fcd3e3156db6f7a82cf2c3?at=default [^]
User avatar (0015616)
Torr Samaho (administrator)
2016-09-11 15:47

The patch looks fine except that the CVAR name sv_limitnumvotes IMO doesn't make sense anymore. We should rename it to something more appropriate to what it does, e.g. sv_newvoteinterval.
User avatar (0015618)
Catastrophe (reporter)
2016-09-11 17:32

Perhaps sv_votecooldown? Names should be intuitive enough to be easily guessed without looking it up imo.
User avatar (0015627)
Ru5tK1ng (updater)
2016-09-13 15:33

I agree and a couple of people I asked also agreed it is intuitive.
User avatar (0015629)
Edward-san (developer)
2016-09-13 18:15

I'd say sv_votecooldowntime , to give it more meaning.
User avatar (0015630)
Ru5tK1ng (updater)
2016-09-13 18:22

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/142 [^]
User avatar (0015664)
Ru5tK1ng (updater)
2016-09-19 01:54

https://bitbucket.org/Torr_Samaho/zandronum/commits/5af2dac3c0891267d9b30bf05be34762ed61abee?at=default [^]

Code was committed, needs testing.
User avatar (0016860)
StrikerMan780 (reporter)
2017-02-13 18:15

Why are the times doubled? 1 ends up 2 minutes, 4 ends up being 8 minutes?
User avatar (0016862)
Ru5tK1ng (updater)
2017-02-13 23:42

Because of the way the voting is coded. The constant values are basically 5 and 10 for the flood protections. That's why I left the default value at 5 so that people won't notice any difference from the current behavior. Setting a low value like 1 or still has some sort of wait. If you set the cvar to 2, you have to wait 4 minutes to recall that specific vote, but you can call any other type of vote after 2 minutes.
User avatar (0017186)
Combinebobnt (reporter)
2017-04-18 00:43

The svar works EXCEPT that sv_limitnumvotes 0 does not override the time. So if I set sv_votecooldown to > 0 and sv_limitnumvotes 0, I still have to wait. sv_limitcommands 0 still works

That scaling system is not user friendly and I agree with Strikerman that it should just be set to minutes like timelimit and stuff are. However you told me that requires work and effort so so be it I guess.
User avatar (0017302)
Ru5tK1ng (updater)
2017-04-23 23:45
edited on: 2017-04-23 23:45

sv_limitnumvotes is renamed to sv_votecooldown, so Zan is reading your ini when you are trying to use the former.

User avatar (0017303)
Combinebobnt (reporter)
2017-04-23 23:47

thanks zdoom for pretending that fake svars in my ini are real. no way to even tell. everything worked then on this ticket

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: WaTaKiD Frits Leonard Ru5tK1ng Combinebobnt Mobius Marcaek
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-07-03 01:51 Ru5tK1ng New Issue
2016-09-04 21:45 Ru5tK1ng Note Added: 0015585
2016-09-04 21:46 Ru5tK1ng Status new => feedback
2016-09-04 23:32 Dusk Status feedback => needs review
2016-09-11 15:47 Torr Samaho Note Added: 0015616
2016-09-11 15:48 Torr Samaho Status needs review => feedback
2016-09-11 17:32 Catastrophe Note Added: 0015618
2016-09-13 15:33 Ru5tK1ng Note Added: 0015627
2016-09-13 15:33 Ru5tK1ng Status feedback => new
2016-09-13 18:15 Edward-san Note Added: 0015629
2016-09-13 18:22 Ru5tK1ng Note Added: 0015630
2016-09-13 18:22 Ru5tK1ng Status new => needs review
2016-09-13 18:22 Ru5tK1ng Target Version => 3.0
2016-09-19 01:54 Ru5tK1ng Note Added: 0015664
2016-09-19 01:54 Ru5tK1ng Status needs review => needs testing
2017-02-13 18:15 StrikerMan780 Note Added: 0016860
2017-02-13 23:42 Ru5tK1ng Note Added: 0016862
2017-04-18 00:43 Combinebobnt Note Added: 0017186
2017-04-23 23:45 Ru5tK1ng Note Added: 0017302
2017-04-23 23:45 Ru5tK1ng Note Edited: 0017302 View Revisions
2017-04-23 23:47 Combinebobnt Note Added: 0017303
2017-04-23 23:47 Ru5tK1ng Status needs testing => resolved
2017-04-23 23:47 Ru5tK1ng Resolution open => fixed
2017-04-23 23:47 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker